/**
 * ibm-orchestrator-api
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { Feedback } from './feedback';


export interface Dialog { 
    id?: string;
    context?: object;
    input: object;
    output?: object;
    intents?: object;
    entities?: object;
    channel?: string;
    workspaceId?: string;
    user?: string;
    userCharacters?: number;
    watsonCharacters?: number;
    attendantCharacters?: number;
    polarity?: number;
    createdAt?: Date;
    feedback?: Feedback;
}

